{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/objects",
  "title": "Redis Enterprise REST API objects",
  "url": "https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/",
  "summary": "Documents the objects used with Redis Enterprise Software REST API calls.",
  "content": "\nCertain [REST API requests](https://redis.io/docs/latest/operate/rs/references/rest-api/requests) require you to include specific objects in the request body. Many requests also return objects in the response body.\n\nBoth REST API requests and responses represent these objects as [JSON](https://www.json.org).\n\n\n| Object | Description |\n| --- | --- |\n| [action](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/action/) | An object that represents cluster actions |\n| [alert](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/alert/) | An object that contains alert info |\n| [bdb](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/bdb/) | An object that represents a database |\n| [bdb_group](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/bdb_group/) | An object that represents a group of databases with a shared memory pool |\n| [bootstrap](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/bootstrap/) | An object for bootstrap configuration |\n| [check_result](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/check_result/) | An object that contains the results of a cluster check |\n| [cluster](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/cluster/) | An object that represents a cluster |\n| [cluster_settings](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/cluster_settings/) | An object for cluster resource management settings |\n| [crdb](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/crdb/) | An object that represents an Active-Active database |\n| [crdb_task](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/crdb_task/) | An object that represents a CRDB task |\n| [db_alerts_settings](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/db_alerts_settings/) | An object for database alerts configuration |\n| [db_conns_auditing_config](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/db-conns-auditing-config/) | An object for database connection auditing settings |\n| [job_scheduler](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/job_scheduler/) | An object for job scheduler settings |\n| [jwt_authorize](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/jwt_authorize/) | An object for user authentication or a JW token refresh request |\n| [ldap](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/ldap/) | An object that contains the cluster's LDAP configuration |\n| [ldap_mapping](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/ldap_mapping/) | An object that represents a mapping between an LDAP group and roles |\n| [module](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/module/) | An object that represents a Redis module |\n| [module_metadata](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/module_metadata/) | An object that represents Redis module metadata |\n| [node](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/node/) | An object that represents a node in the cluster |\n| [ocsp](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/ocsp/) | An object that represents the cluster's OCSP configuration |\n| [ocsp_status](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/ocsp_status/) | An object that represents the cluster's OCSP status |\n| [proxy](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/proxy/) | An object that represents a proxy in the cluster |\n| [redis_acl](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/redis_acl/) | An object that represents a Redis access control list (ACL) |\n| [role](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/role/) | An object that represents a role |\n| [services_configuration](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/services_configuration/) | An object for optional cluster services settings |\n| [shard](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/shard/) | An object that represents a database shard |\n| [state-machine](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/state-machine/) | An object that represents a state machine. |\n| [statistics](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/statistics/) | An object that contains metrics for clusters, databases, nodes, or shards |\n| [suffix](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/suffix/) | An object that represents a DNS suffix |\n| [user](https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/user/) | An object that represents a Redis Enterprise user |\n\n",
  "tags": ["docs","operate","rs"],
  "last_updated": "2026-10-21T09:46:20-07:00",
  "children": [{"id":"operate/rs/references/rest-api/objects/action","summary":"An object that represents cluster actions","title":"Action object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/action/"},{"id":"operate/rs/references/rest-api/objects/alert","summary":"An object that contains alert info","title":"Alert object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/alert/"},{"id":"operate/rs/references/rest-api/objects/bdb","summary":"An object that represents a database","title":"BDB object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/bdb/"},{"id":"operate/rs/references/rest-api/objects/bdb_group","summary":"An object that represents a group of databases with a shared memory pool","title":"BDB group object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/bdb_group/"},{"id":"operate/rs/references/rest-api/objects/bootstrap","summary":"An object for bootstrap configuration","title":"Bootstrap object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/bootstrap/"},{"id":"operate/rs/references/rest-api/objects/check_result","summary":"An object that contains the results of a cluster check","title":"Check result object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/check_result/"},{"id":"operate/rs/references/rest-api/objects/cluster","summary":"An object that represents a cluster","title":"Cluster object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/cluster/"},{"id":"operate/rs/references/rest-api/objects/cluster_settings","summary":"An object for cluster resource management settings","title":"Cluster settings object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/cluster_settings/"},{"id":"operate/rs/references/rest-api/objects/crdb","summary":"An object that represents an Active-Active database","title":"CRDB object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/crdb/"},{"id":"operate/rs/references/rest-api/objects/crdb_task","summary":"An object that represents a CRDB task","title":"CRDB task object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/crdb_task/"},{"id":"operate/rs/references/rest-api/objects/db_alerts_settings","summary":"An object for database alerts configuration","title":"Database alerts settings object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/db_alerts_settings/"},{"id":"operate/rs/references/rest-api/objects/db-conns-auditing-config","summary":"An object for database connection auditing settings","title":"Database connection auditing configuration object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/db-conns-auditing-config/"},{"id":"operate/rs/references/rest-api/objects/job_scheduler","summary":"An object for job scheduler settings","title":"Job scheduler object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/job_scheduler/"},{"id":"operate/rs/references/rest-api/objects/jwt_authorize","summary":"An object for user authentication or a JW token refresh request","title":"JWT authorize object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/jwt_authorize/"},{"id":"operate/rs/references/rest-api/objects/ldap","summary":"An object that contains the cluster's LDAP configuration","title":"LDAP object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/ldap/"},{"id":"operate/rs/references/rest-api/objects/ldap_mapping","summary":"An object that represents a mapping between an LDAP group and roles","title":"LDAP mapping object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/ldap_mapping/"},{"id":"operate/rs/references/rest-api/objects/module","summary":"An object that represents a Redis module","title":"Module object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/module/"},{"id":"operate/rs/references/rest-api/objects/module_metadata","summary":"An object that represents Redis module metadata","title":"Module metadata object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/module_metadata/"},{"id":"operate/rs/references/rest-api/objects/node","summary":"An object that represents a node in the cluster","title":"Node object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/node/"},{"id":"operate/rs/references/rest-api/objects/ocsp","summary":"An object that represents the cluster's OCSP configuration","title":"OCSP object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/ocsp/"},{"id":"operate/rs/references/rest-api/objects/ocsp_status","summary":"An object that represents the cluster's OCSP status","title":"OCSP status object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/ocsp_status/"},{"id":"operate/rs/references/rest-api/objects/proxy","summary":"An object that represents a proxy in the cluster","title":"Proxy object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/proxy/"},{"id":"operate/rs/references/rest-api/objects/redis_acl","summary":"An object that represents a Redis access control list (ACL)","title":"Redis ACL object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/redis_acl/"},{"id":"operate/rs/references/rest-api/objects/role","summary":"An object that represents a role","title":"Role object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/role/"},{"id":"operate/rs/references/rest-api/objects/services_configuration","summary":"An object for optional cluster services settings","title":"Services configuration object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/services_configuration/"},{"id":"operate/rs/references/rest-api/objects/shard","summary":"An object that represents a database shard","title":"Shard object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/shard/"},{"id":"operate/rs/references/rest-api/objects/state-machine","summary":"An object that represents a state machine.","title":"State machine object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/state-machine/"},{"id":"operate/rs/references/rest-api/objects/statistics","summary":"An object that contains metrics for clusters, databases, nodes, or shards","title":"Statistics","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/statistics/"},{"id":"operate/rs/references/rest-api/objects/suffix","summary":"An object that represents a DNS suffix","title":"Suffix object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/suffix/"},{"id":"operate/rs/references/rest-api/objects/user","summary":"An object that represents a Redis Enterprise user","title":"User object","url":"https://redis.io/docs/latest/operate/rs/7.4/references/rest-api/objects/user/"}]
}
